NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
dbgLinstener Icon


Joined: 28 Jan 2004
Posts: 17
Location: nd
Reply with quote
I have phpED working but it can not connect to the debugger
Error in error window: "failed to run debugging session Check PHPED and debug setting

I'm testing by placing a "breakpoint" in the code:

Some of my PHPEd settings are as follows;
Project Properties>Mapping>Run mode: "HTTP mode (remote Web server)
Settings>SRV local server>Server Port:8080
Settings>Debugger>Debugger Port 7869 (autoselect not enabled)
Settings>Debugger>php.ini setting>Path to php.ini: /usr/local/apache/php/php.ini

Setting in my php.ini
extension_dir = /usr/local/lib/dbg-2.11.23-Linux-i386
;extension_dir=/usr/local/nusphere/phped/debugger (I have tried using PHPEd's debugger and it seems like the same problem

debugger]
debugger.enabled = true
debugger.profiler_enabled = true
debugger.JIT_host = clienthost
debugger.JIT_port = 7869

extension=dbg.so (this was dbg.so-4.3.3RC1)

I do not think dbgListener is running when I start PHPEd
Comparing:
extension_dir = /usr/local/lib/dbg-2.11.23-Linux-i386
;extension_dir=/usr/local/nusphere/phped/debugger

I note that /dbg-2.11.23-linux-i386 does not have the libdbglistener.so/libdbglistener.so2/libdbglistener2.14.10

If libdbglistener is a server that is suppose to be interceeding and handling the code before it is parsed by php then how do i get it running with my PHPEd configuration?

I have a router with a 192.168.1.1 gateway the IP for Apache server machine is 192.168.1.3 w. I have forwording set for ports 80 and 7869

thank you
View user's profileFind all posts by cwynnSend private messageVisit poster's websiteICQ Number


Joined: 28 Jan 2004
Posts: 17
Location: nd
Reply with quote
I've made these changes since the orginal post to my php.ini



[debugger]
debugger.enabled = on
debugger.profiler_enabled = on
debugger.host_allow = 192.168.1.3
debugger.host_deny = ALL
debugger.ports=7869, 10000/16

extension=dbg.so-4.3.3RC1

reported new error message:
wrong version (2.11) of debugger listener detected
Listener version 2.14 needed

I'm not sure at this point what file is the listener

The reason for the title of this message is that a search here in this forum discussed a PHPEd white icon that changes when the debugger is working. I do not see said white debugger icon on my PHPEd screen?

thank you
View user's profileFind all posts by cwynnSend private messageVisit poster's websiteICQ Number


Joined: 28 Jan 2004
Posts: 17
Location: nd
Reply with quote
2.11 is the version of the DGB that I downloaded prior to trying to settup PHPEd. It's files are what I have my php.ini pointing to using extension_dir =

Searching NuSphere's website I find 2.14 but not for Linux.

Question: can I assume that the DGB files that came with PHPEd (trial) are version 2.14. Can I point extension_dir to the debugger directory in PHPEd?
That's my next move. I have done this in the past but with a earliar set of php.ini directives.

I could use a littile help.

thank you
View user's profileFind all posts by cwynnSend private messageVisit poster's websiteICQ Number


Joined: 28 Jan 2004
Posts: 17
Location: nd
Reply with quote
I got DBG working now with the 30 day trial version of PHPEd, and it's only taken me a week to get here.

In answer to my own previous message the (trial) PHPEd listener files in its "extensions" directory are compatiiale and or must be version 2.14 Why this was working from the start is in part explained in the follow comments.

Changed the extension_dir in /usr/local/apache/php/php.ini from
extension_dir=/usr/local/nusphere/phped/debugger
to
extension_dir=/usr/local/nusphere/phped/php/extensions

This is the setting in /usr/local/nushphere/phped/php/php.ini

I also found feedback recommending to "stop" and "start" Apache when ever testing new settings in the php.ini

I just discovered that I can disable port 7869 in the router. Somewhere I was reading about this port in reference with NAT, but I was mistaken. This is not for the PHPEd setup that I have setup.

thank you
View user's profileFind all posts by cwynnSend private messageVisit poster's websiteICQ Number
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
Quote:
Question: can I assume that the DGB files that came with PHPEd (trial) are version 2.14.


Yes, all debugger modules that come with phped are 2.14 (phped 3.2) and 2.16 (phped 3.3).

Quote:
Can I point extension_dir to the debugger directory in PHPEd?


No. Instead you'd point extension_dir to a directory where you keep all php extensions and copy selected debugger module there.

Quote:
debugger.host_allow = 192.168.1.3
debugger.host_deny = ALL
debugger.ports=7869, 10000/16


these options are not handled by freeware dbg version 2.11 and make sense for 2.12, 2.14 or 2.16 the commercial versions that come with NuSphere phped.
View user's profileFind all posts by dmitriSend private messageVisit poster's website
dbgLinstener Icon
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic